%define upstream_name Structures_DataGrid_Renderer_CSV
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.1.5dev1
Release:     	%mkrel 1
Summary:    	Renderer driver that generates a CSV string
License: 	New BSD
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Structures_DataGrid_Renderer_CSV-%{version}.tgz
URL: 		http://pear.php.net/package/Structures_DataGrid_Renderer_CSV
BuildRequires:	php-pear >= 1.4.7
Requires: 	php-pear-Structures_DataGrid >= 0.9.0
Requires:	php-pear >= 1.4.9
BuildArch: 	noarch

%description
This is a Renderer driver for Structures_DataGrid that generates a CSV
string.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Structures_DataGrid_Renderer_CSV.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Structures_DataGrid_Renderer_CSV.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Structures_DataGrid_Renderer_CSV
fi

%files
%defattr(-,root,root)

%{peardir}/*
%{xmldir}/Structures_DataGrid_Renderer_CSV.xml


%changelog

* Fri Jan 20 2012 spuhler <spuhler> 0.1.5dev1-1.mga2
+ Revision: 198633
- imported package php-pear-Structures_DataGrid_Renderer_CSV

